[arch-commits] Commit in libepc/trunk (PKGBUILD libepc-avahi-free-check.patch)

Jan de Groot jgc at archlinux.org
Fri Oct 17 17:53:48 EDT 2008


    Date: Friday, October 17, 2008 @ 17:53:48
  Author: jgc
Revision: 15730

upgpkg: libepc 0.3.6-1

Modified:
  libepc/trunk/PKGBUILD
Deleted:
  libepc/trunk/libepc-avahi-free-check.patch

-------------------------------+
 PKGBUILD                      |   16 +++++++---------
 libepc-avahi-free-check.patch |   14 --------------
 2 files changed, 7 insertions(+), 23 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-17 21:42:39 UTC (rev 15729)
+++ PKGBUILD	2008-10-17 21:53:48 UTC (rev 15730)
@@ -2,23 +2,21 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libepc
-pkgver=0.3.5
-pkgrel=2
+pkgver=0.3.6
+pkgrel=1
 pkgdesc="Easy Publish and Consume Library"
 arch=(i686 x86_64)
 license=('LGPL')
 url="http://live.gnome.org/libepc"
-depends=('gtk2>=2.12.9' 'avahi>=0.6.20' 'libsoup>=2.4.1-2' 'gnutls>=2.4.1')
+depends=('gtk2>=2.14.4' 'avahi>=0.6.20' 'libsoup>=2.24.0' 'gnutls>=2.4.1')
 options=('!libtool' '!makeflags')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.3/${pkgname}-${pkgver}.tar.bz2
-	libepc-avahi-free-check.patch)
-md5sums=('83c931954c7428e57b2bdf8f36ecb0d0' '31761c1165d9b0b61df38049165779ff')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.3/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('35cc0451466a3dd655531dc926d98a3f')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np0 -i ${startdir}/src/libepc-avahi-free-check.patch || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }

Deleted: libepc-avahi-free-check.patch
===================================================================
--- libepc-avahi-free-check.patch	2008-10-17 21:42:39 UTC (rev 15729)
+++ libepc-avahi-free-check.patch	2008-10-17 21:53:48 UTC (rev 15730)
@@ -1,14 +0,0 @@
---- libepc/service-monitor.c.orig	2008-03-21 22:03:38.000000000 +0000
-+++ libepc/service-monitor.c	2008-03-21 22:04:44.000000000 +0000
-@@ -307,7 +307,10 @@
- 
-   while (self->priv->browsers)
-     {
--      avahi_service_browser_free (self->priv->browsers->data);
-+      if (self->priv->browsers->data != NULL)
-+        {
-+          avahi_service_browser_free (self->priv->browsers->data);
-+	}
-       self->priv->browsers = g_slist_delete_link (self->priv->browsers, self->priv->browsers);
-     }
- 




More information about the arch-commits mailing list